Disk Restore Point - Get
Get disk restorePoint resource
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/restorePointCollections/{restorePointCollectionName}/restorePoints/{vmRestorePointName}/diskRestorePoints/{diskRestorePointName}?api-version=2025-01-02
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
disk
|
path | True |
string |
The name of the DiskRestorePoint |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
restore
|
path | True |
string |
The name of the restore point collection that the disk restore point belongs. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
vm
|
path | True |
string |
The name of the vm restore point that the disk disk restore point belongs. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
|
get an incremental disk restore |
|
get an incremental disk restore |
get an incremental disk restorePoint resource.
Sample request
GET https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/rpc/restorePoints/vmrp/diskRestorePoints/TestDisk45ceb03433006d1baee0_b70cd924-3362-4a80-93c2-9415eaa12745?api-version=2025-01-02
Sample response
{
"id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/rpc/restorePoints/vmrp/diskRestorePoints/TestDisk45ceb03433006d1baee0_b70cd924-3362-4a80-93c2-9415eaa12745",
"name": "TestDisk45ceb03433006d1baee0_b70cd924-3362-4a80-93c2-9415eaa12745",
"properties": {
"timeCreated": "2020-09-16T04:41:35.079872+00:00",
"sourceResourceId": "/subscriptions/d2260d06-e00d-422f-8b63-93df551a59ae/resourceGroups/rg0680fb0c-89f1-41b4-96c0-35733a181558/providers/Microsoft.Compute/disks/TestDisk45ceb03433006d1baee0",
"osType": "Windows",
"hyperVGeneration": "V1",
"familyId": "996bf3ce-b6ff-4e86-9db6-dc27ea06cea5",
"sourceUniqueId": "48e058b1-7eea-4968-b532-10a8a1130c13",
"networkAccessPolicy": "AllowAll",
"publicNetworkAccess": "Disabled",
"logicalSectorSize": 4096
}
}
get an incremental disk restorePoint when source resource is from a different region
Sample request
GET https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/rpc/restorePoints/vmrp/diskRestorePoints/TestDisk45ceb03433006d1baee0_b70cd924-3362-4a80-93c2-9415eaa12745?api-version=2025-01-02
Sample response
{
"id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/rpc/restorePoints/vmrp/diskRestorePoints/TestDisk45ceb03433006d1baee0_b70cd924-3362-4a80-93c2-9415eaa12745",
"name": "TestDisk45ceb03433006d1baee0_b70cd924-3362-4a80-93c2-9415eaa12745",
"properties": {
"timeCreated": "2020-09-16T04:41:35.079872+00:00",
"sourceResourceId": "/subscriptions/d2260d06-e00d-422f-8b63-93df551a59ae/resourceGroups/rg0680fb0c-89f1-41b4-96c0-35733a181558/providers/Microsoft.Compute/disks/TestDisk45ceb03433006d1baee0",
"osType": "Windows",
"hyperVGeneration": "V1",
"familyId": "996bf3ce-b6ff-4e86-9db6-dc27ea06cea5",
"sourceUniqueId": "48e058b1-7eea-4968-b532-10a8a1130c13",
"networkAccessPolicy": "AllowAll",
"publicNetworkAccess": "Disabled",
"replicationState": "Succeeded",
"completionPercent": 100,
"sourceResourceLocation": "eastus2",
"logicalSectorSize": 4096
}
}
Definitions
| Name | Description |
|---|---|
|
Api |
Api error. |
|
Api |
Api error base. |
| Architecture |
CPU architecture supported by an OS disk. |
|
Cloud |
An error response from the Compute service. |
|
created |
The type of identity that created the resource. |
|
Disk |
Used for establishing the purchase context of any 3rd Party artifact through MarketPlace. |
|
Disk |
Properties of disk restore point |
|
Disk |
Contains the security related information for the resource. |
|
Disk |
Specifies the SecurityType of the VM. Applicable for OS disks only. |
| Encryption |
Encryption at rest settings for disk or snapshot |
|
Encryption |
The type of key used to encrypt the data of the disk. |
|
Hyper |
The hypervisor generation of the Virtual Machine. Applicable to OS disks only. |
|
Inner |
Inner error details. |
|
Network |
Policy for accessing the disk via network. |
|
Operating |
The Operating System type. |
|
Public |
Policy for controlling export on the disk. |
|
Supported |
List of supported capabilities persisted on the disk resource for VM use. |
|
Supported |
Refers to the security capability of the disk supported to create a Trusted launch or Confidential VM |
|
system |
Metadata pertaining to creation and last modification of the resource. |
ApiError
Api error.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
The Api error details |
|
| innererror |
The Api inner error |
|
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
ApiErrorBase
Api error base.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
Architecture
CPU architecture supported by an OS disk.
| Value | Description |
|---|---|
| x64 | |
| Arm64 |
CloudError
An error response from the Compute service.
| Name | Type | Description |
|---|---|---|
| error |
Api error. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DiskPurchasePlan
Used for establishing the purchase context of any 3rd Party artifact through MarketPlace.
| Name | Type | Description |
|---|---|---|
| name |
string |
The plan ID. |
| product |
string |
Specifies the product of the image from the marketplace. This is the same value as Offer under the imageReference element. |
| promotionCode |
string |
The Offer Promotion Code. |
| publisher |
string |
The publisher ID. |
DiskRestorePoint
Properties of disk restore point
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties.completionPercent |
number (float) |
Percentage complete for the background copy of disk restore point when source resource is from a different region. |
| properties.diskAccessId |
string |
ARM id of the DiskAccess resource for using private endpoints on disks. |
| properties.encryption |
Encryption property can be used to encrypt data at rest with customer managed keys or platform managed keys. |
|
| properties.familyId |
string |
id of the backing snapshot's MIS family |
| properties.hyperVGeneration |
The hypervisor generation of the Virtual Machine. Applicable to OS disks only. |
|
| properties.logicalSectorSize |
integer (int32) |
Logical sector size in bytes for disk restore points of UltraSSD_LRS and PremiumV2_LRS disks. Supported values are 512 and 4096. 4096 is the default. |
| properties.networkAccessPolicy |
Policy for accessing the disk via network. |
|
| properties.osType |
The Operating System type. |
|
| properties.publicNetworkAccess |
Policy for controlling export on the disk. |
|
| properties.purchasePlan |
Purchase plan information for the the image from which the OS disk was created. |
|
| properties.replicationState |
string |
Replication state of disk restore point when source resource is from a different region. |
| properties.securityProfile |
Contains the security related information for the resource. |
|
| properties.sourceResourceId |
string |
arm id of source disk or source disk restore point. |
| properties.sourceResourceLocation |
string |
Location of source disk or source disk restore point when source resource is from a different region. |
| properties.sourceUniqueId |
string |
unique incarnation id of the source disk |
| properties.supportedCapabilities |
List of supported capabilities for the image from which the OS disk was created. |
|
| properties.supportsHibernation |
boolean |
Indicates the OS on a disk supports hibernation. |
| properties.timeCreated |
string (date-time) |
The timestamp of restorePoint creation |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
DiskSecurityProfile
Contains the security related information for the resource.
| Name | Type | Description |
|---|---|---|
| secureVMDiskEncryptionSetId |
string |
ResourceId of the disk encryption set associated to Confidential VM supported disk encrypted with customer managed key |
| securityType |
Specifies the SecurityType of the VM. Applicable for OS disks only. |
DiskSecurityTypes
Specifies the SecurityType of the VM. Applicable for OS disks only.
| Value | Description |
|---|---|
| TrustedLaunch |
Trusted Launch provides security features such as secure boot and virtual Trusted Platform Module (vTPM) |
| ConfidentialVM_VMGuestStateOnlyEncryptedWithPlatformKey |
Indicates Confidential VM disk with only VM guest state encrypted |
| ConfidentialVM_DiskEncryptedWithPlatformKey |
Indicates Confidential VM disk with both OS disk and VM guest state encrypted with a platform managed key |
| ConfidentialVM_DiskEncryptedWithCustomerKey |
Indicates Confidential VM disk with both OS disk and VM guest state encrypted with a customer managed key |
| ConfidentialVM_NonPersistedTPM |
Indicates Confidential VM disk with a ephemeral vTPM. vTPM state is not persisted across VM reboots. |
Encryption
Encryption at rest settings for disk or snapshot
| Name | Type | Description |
|---|---|---|
| diskEncryptionSetId |
string |
ResourceId of the disk encryption set to use for enabling encryption at rest. |
| type |
The type of key used to encrypt the data of the disk. |
EncryptionType
The type of key used to encrypt the data of the disk.
| Value | Description |
|---|---|
| EncryptionAtRestWithPlatformKey |
Disk is encrypted at rest with Platform managed key. It is the default encryption type. This is not a valid encryption type for disk encryption sets. |
| EncryptionAtRestWithCustomerKey |
Disk is encrypted at rest with Customer managed key that can be changed and revoked by a customer. |
| EncryptionAtRestWithPlatformAndCustomerKeys |
Disk is encrypted at rest with 2 layers of encryption. One of the keys is Customer managed and the other key is Platform managed. |
HyperVGeneration
The hypervisor generation of the Virtual Machine. Applicable to OS disks only.
| Value | Description |
|---|---|
| V1 | |
| V2 |
InnerError
Inner error details.
| Name | Type | Description |
|---|---|---|
| errordetail |
string |
The internal error message or exception dump. |
| exceptiontype |
string |
The exception type. |
NetworkAccessPolicy
Policy for accessing the disk via network.
| Value | Description |
|---|---|
| AllowAll |
The disk can be exported or uploaded to from any network. |
| AllowPrivate |
The disk can be exported or uploaded to using a DiskAccess resource's private endpoints. |
| DenyAll |
The disk cannot be exported. |
OperatingSystemTypes
The Operating System type.
| Value | Description |
|---|---|
| Windows | |
| Linux |
PublicNetworkAccess
Policy for controlling export on the disk.
| Value | Description |
|---|---|
| Enabled |
You can generate a SAS URI to access the underlying data of the disk publicly on the internet when NetworkAccessPolicy is set to AllowAll. You can access the data via the SAS URI only from your trusted Azure VNET when NetworkAccessPolicy is set to AllowPrivate. |
| Disabled |
You cannot access the underlying data of the disk publicly on the internet even when NetworkAccessPolicy is set to AllowAll. You can access the data via the SAS URI only from your trusted Azure VNET when NetworkAccessPolicy is set to AllowPrivate. |
SupportedCapabilities
List of supported capabilities persisted on the disk resource for VM use.
| Name | Type | Description |
|---|---|---|
| acceleratedNetwork |
boolean |
True if the image from which the OS disk is created supports accelerated networking. |
| architecture |
CPU architecture supported by an OS disk. |
|
| diskControllerTypes |
string |
The disk controllers that an OS disk supports. If set it can be SCSI or SCSI, NVME or NVME, SCSI. |
| supportedSecurityOption |
Refers to the security capability of the disk supported to create a Trusted launch or Confidential VM |
SupportedSecurityOption
Refers to the security capability of the disk supported to create a Trusted launch or Confidential VM
| Value | Description |
|---|---|
| TrustedLaunchSupported |
The disk supports creating Trusted Launch VMs. |
| TrustedLaunchAndConfidentialVMSupported |
The disk supports creating both Trusted Launch and Confidential VMs. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |